﻿using System;

namespace ArraySumCalculator
{
    class Program
    {
        static void Main()
        {
            Console.Write("Enter the number of elements in the array: ");

            if (int.TryParse(Console.ReadLine(), out int n) && n > 0)
            {
                int[] array = new int[n];
                int sum = 0;

                // Input array elements and calculate the sum
                for (int i = 0; i < n; i++)
                {
                    Console.Write($"Enter element {i + 1}: ");

                    if (int.TryParse(Console.ReadLine(), out int element))
                    {
                        array[i] = element;
                        sum += element;
                    }
                    else
                    {
                        Console.WriteLine("Invalid input. Please enter a valid integer.");
                        i--; // Retry the current index
                    }
                }

                // Display the result
                Console.WriteLine($"Sum of array elements: {sum}");
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter a valid positive integer for the array size.");
            }

            Console.ReadKey(); // Keep the console window open
        }
    }
}